package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.dao.custom.base.impl.FindConverterDao;
import com.jasamedika.medifirst2000.entities.PapNeurologi;
import com.jasamedika.medifirst2000.vo.PapNeurologiVO;

/**
 * Converter class PAPNeurologi
 * 
 * @author Askur
 */
@Component
public class PapNeurologiConverter extends FindConverterDao implements
		BaseVoConverter<PapNeurologiVO, PapNeurologi> {

	public PapNeurologi transferVOToModel(PapNeurologiVO vo, PapNeurologi model) {
		if (null == model)
			model = new PapNeurologi();

		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapNeurologi.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return model;

	}

	public List<PapNeurologiVO> transferListOfModelToListOfVO(List<PapNeurologi> models,
			List<PapNeurologiVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapNeurologiVO>();

		if (null == models)
			return vos;

		for (PapNeurologi model : models) {
			PapNeurologiVO vo = new PapNeurologiVO();
			transferModelToVO(model, vo);
			vos.add(vo);
		}

		return vos;
	}

	public PapNeurologiVO transferModelToVO(PapNeurologi model, PapNeurologiVO vo) {
		if (null == vo)
			vo = new PapNeurologiVO();

		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapNeurologiVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return vo;
	}
	
}
